#-----------------------------------------------------------------------------
#
# Thomas Thomassen
# thomas[at]thomthom[dot]net
#
#-----------------------------------------------------------------------------

# Collection of Face methods.
#
# @since 2.0.0
module TT::Face
  
  # @deprecated
  def self.coplanar?(face1, face2)
    vs = face1.vertices + face2.vertices
    plane = Geom.fit_plane_to_points(vs)
    vs.each { |v| 
      return false unless v.position.on_plane?(plane)
    }
    return true
  end
  
end # module TT::Face