#-----------------------------------------------------------------------------
#
# Thomas Thomassen
# thomas[at]thomthom[dot]net
#
#-----------------------------------------------------------------------------

# ...
#
# @since 2.4.0
module TT::System
  
  
	# @return [Boolean]
	# @since 2.4.0
  def self.is_osx?
    (Object::RUBY_PLATFORM =~ /darwin/i) ? true : false
  end
  
  # Returns path to the user's temp path.
  #
  # @return [String]
	# @since 2.4.0
  def self.temp_path
    (self.is_osx?) ? ENV['TMPDIR'] : ENV['TEMP'] 
  end
  
end # module TT::System