#-----------------------------------------------------------------------------
#
# Thomas Thomassen
# thomas[at]thomthom[dot]net
#
#-----------------------------------------------------------------------------

# ...
#
# @deprecated Unfinished
# @since 2.1.0
module TT::Gizmo
  
  # @deprecated Unfinished
	# @since 2.1.0
  class Manipulator
    
    attr_accessor(:origin, :normal)
    
    def initialize(origin, normal)
      @origin = origin
      @normal = normal
      
      @x_sel, @y_sel, @z_sel = nil
      
      @ip = Sketchup::InputPoint.new
      @pt = nil
      @po = nil
      @old_origin = nil
      #@a = nil
      @mouse_ref = nil
      
      @mpt = nil
      @ppt = nil
      @tmp_v = nil
      
      update()
    end
    
    def onMouseMove(flags, x, y, view)
      ph = view.pick_helper
      
      if (flags & MK_LBUTTON) == MK_LBUTTON
        # Mouse Drag
        #axis = current_axis()
        #p axis
        #if axis
        if  @old_axis
          #p axis
          #@a = axis
          #vector = axis[0].vector_to( axis[1] )
          vector = @old_axis[0].vector_to( @old_axis[1] )
          #p vector
          #p vector.normalize
          @ip.pick(view, x, y)
          @pt = @ip.position.project_to_line( @old_axis )
          #p @pt.on_line?( axis )
          #@origin = @old_origin.transform( @po.vector_to(@pt) )
          #update()
          
          #puts 'offset...'
          #p @old_origin
          #p @pt
          # Calculate the Screen offset distance
          mouse_pt = [x,y,0]
          mouse_distance = @mouse_ref.distance( mouse_pt )
          
          @mpt = mouse_pt.clone
          #p distance
          if mouse_distance > 0
            #length = view.pixels_to_model( distance, @old_origin )
            #p length
            #direction = @old_origin.vector_to( @pt )
            
            
            
            direction = vector.clone
            
            screen_axis = @old_axis.map { |pt| view.screen_coords(pt) }
            screen_axis[0].z = 0
            screen_axis[1].z = 0
            screen_v = screen_axis[0].vector_to( screen_axis[1] )
            
            ref_pt = @mouse_ref.project_to_line( screen_axis )
            pt = mouse_pt.project_to_line( screen_axis )
            v = ref_pt.vector_to( pt )
            
            # (!) validate vector.
            direction.reverse! unless screen_v.samedirection?( v )
            
            distance = v.length
            length = view.pixels_to_model( distance, @old_origin )
            
            
            
            @ppt = pt.clone
            @tmp_v = v.clone
            
            #p direction
            offset = @old_origin.offset( direction, length )
            #p offset
            @origin = @old_origin.transform( @old_origin.vector_to(offset) )
            update()
          end
          #puts ' '
        end
      else
        # Mouse hover
        @x_sel = ph.pick_segment(@xaxis, x, y)
        @y_sel = ph.pick_segment(@yaxis, x, y)
        @z_sel = ph.pick_segment(@zaxis, x, y)
      end
      
      true
    end
    
    def onLButtonDown(flags, x, y, view)
      #puts 'Button Down'
      axis = current_axis()
      @old_axis   = axis
      if axis
        @old_origin = @origin.clone
        #@old_axis   = axis
        
        
        ip = view.inputpoint(x,y)
        @po = ip.position.project_to_line( axis )
        #p @po
        
        @mouse_ref = [x,y,0]
      end
      true
    end
    
    def onLButtonUp(flags, x, y, view)
      @ip.clear
      #p @xaxis
      #p @yaxis
      #p @zaxis
      true
    end
    
    def current_axis
      if @x_sel
        axis = @xaxis
      elsif @y_sel
        axis = @yaxis
      elsif @z_sel
        axis = @zaxis
      else
        axis = nil
      end
      axis
    end
    
    def draw(view)
      view.line_stipple = ''
      view.line_width = 2
      
      view.drawing_color = (@x_sel) ? 'yellow' : 'red'
      view.draw( GL_LINES, @xaxis )
      
      view.drawing_color = (@y_sel) ? 'yellow' : 'green'
      view.draw( GL_LINES, @yaxis )
      
      view.drawing_color = (@z_sel) ? 'yellow' : 'blue'
      view.draw( GL_LINES, @zaxis )
      
      if @ip.valid?
        @ip.draw( view )
        
        view.drawing_color = 'black'
        view.line_stipple = '.'
        #view.draw( GL_LINES, [@ip.position, @pt] )
        #view.draw( GL_LINES, [@origin, @pt] )
        #view.draw( GL_LINES, [ @a[0], @a[1] ] )
        view.draw2d( GL_LINES, [ @mouse_ref, @ppt ] )
        view.drawing_color = 'purple'
        view.draw2d( GL_LINES, [ @mpt, @ppt ] )
        
        view.drawing_color = 'red'
        view.line_stipple = ''
        view.draw2d( GL_LINES, [ @mpt, @mpt.offset(Y_AXIS.reverse,10) ] )
        view.draw2d( GL_LINES, [ @ppt, @ppt.offset(Y_AXIS.reverse,10) ] )
        view.draw2d( GL_LINES, [ @mouse_ref, @mouse_ref.offset(Y_AXIS.reverse,10) ] )
        
        view.drawing_color = 'pink'
        opt = view.screen_coords( @origin )
        view.draw2d( GL_LINES, [ opt, opt.offset(@tmp_v,50) ] )
        #view.draw_points( [@pt,@po], 10, 3, 'red' )
      end
    end
    
    def update
      # Generate Gizmo segments
      view = Sketchup.active_model.active_view
      t = Geom::Transformation.axes( @origin, @normal.axes.x, @normal.axes.y, @normal)
      @size = view.pixels_to_model(100, @origin)
      
      @xaxis = [ ORIGIN, Geom::Point3d.new(@size,0,0) ].map!{|pt|pt.transform(t)}
      @yaxis = [ ORIGIN, Geom::Point3d.new(0,@size,0) ].map!{|pt|pt.transform(t)}
      @zaxis = [ ORIGIN, Geom::Point3d.new(0,0,@size) ].map!{|pt|pt.transform(t)}
    end
    
  end # class Manipulator
  
end # module TT::Gizmo