#-----------------------------------------------------------------------------
#
# Thomas Thomassen
# thomas[at]thomthom[dot]net
#
#-----------------------------------------------------------------------------

# Collection of Group, ComponentInstnace and Image methods.
#
# @since 2.1.0
module TT::UVQ
  
  # Get UV coordinates from UVQ matrix.
	#
	# @param [Array] uvq
	#
	# @return [Array]
	# @since 2.1.0
  def self.flatten(uvq)
    Geom::Point3d.new(uvq.x / uvq.z, uvq.y / uvq.z, 1.0)
  end
  
end # module TT::UVQ